WordPress.org

Support

Support » Plugins and Hacks » [Plugin: Capa Protect] Showing array_flip() errors

[Plugin: Capa Protect] Showing array_flip() errors

  • marhgil

    @marhgil

    I am having this error just recently. It works fine 2 weeks ago and the error just showed up 2 days ago.

    Warning: array_flip() [function.array-flip]: Can only flip STRING and INTEGER values! in /xxxxx/xxxxxxx/batangastoday.com/wp-content/plugins/capa/capa.php on line 884.

    I have no choice but to deactivate the plugin. The error shows on every permalink pages. Anyone encountered the same? How did you fix it?

Viewing 3 replies - 1 through 3 (of 3 total)
  • marhgil

    @marhgil

    Update: It seems like the error occurred when I checked the “Keep CaPa Settings” option.

    So, here’s what I did to solve the problem:

    1. Deactivated the CaPa Protect plugin.
    2. Deleted the capa-protect-* entries on wp-options table on MySQL.
    3. Reactivated the CaPa Protect plugin.
    4. Make sure that the “Keep CaPa Settings” is unchecked.
    5. Do all the necessary CaPa settings.

    This is just a work-around solution. I think, the plugin author should still fix it so that when the “Keep Capa Settings” option is checked, the error must not occur.

    Yikes. This really needs to be fixed.
    I experienced the same problem today and used your workaround.
    Is this still module still actively supported?

    thanks it worked for me. hope this plugin will be supported in future it is very useful …

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Plugin: Capa Protect] Showing array_flip() errors’ is closed to new replies.
Skip to toolbar